Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.state
Class FloatManager.Stub

    java.lang.Object
      org.flexdock.docking.state.FloatManager.Stub

All Implemented Interfaces:
  FloatManager

Enclosing interface:
  FloatManager

    public static class FloatManager.Stub

extends Object
implements FloatManager

Nested Class Summary

Nested classes/interfaces inherited from interface org.flexdock.docking.state.FloatManager
`FloatManager.Stub`

Field Summary

Fields inherited from interface org.flexdock.docking.state.FloatManager
`DEFAULT_STUB`

Constructor Summary
`FloatManager.Stub()`

Method Summary
`void` | `addToGroup(Dockable dockable, String groupId)`
`DockingFrame` | `floatDockable(Dockable dockable, Component frameOwner)`
`DockingFrame` | `floatDockable(Dockable dockable, Component frameOwner, Rectangle screenBounds)`
`FloatingGroup` | `getGroup(Dockable dockable)`
`FloatingGroup` | `getGroup(String groupName)`
`void` | `removeFromGroup(Dockable dockable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatManager.Stub

    public FloatManager.Stub()

Method Detail

### addToGroup

    public void addToGroup(Dockable dockable,
                           String groupId)

  Specified by:
    `addToGroup` in interface `FloatManager`

### floatDockable

    public DockingFrame floatDockable(Dockable dockable,
                                      Component frameOwner,
                                      Rectangle screenBounds)

  Specified by:
    `floatDockable` in interface `FloatManager`

### floatDockable

    public DockingFrame floatDockable(Dockable dockable,
                                      Component frameOwner)

  Specified by:
    `floatDockable` in interface `FloatManager`

### getGroup

    public FloatingGroup getGroup(Dockable dockable)

  Specified by:
    `getGroup` in interface `FloatManager`

### getGroup

    public FloatingGroup getGroup(String groupName)

  Specified by:
    `getGroup` in interface `FloatManager`

### removeFromGroup

    public void removeFromGroup(Dockable dockable)

  Specified by:
    `removeFromGroup` in interface `FloatManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD